Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class ReadingNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.VariantTypeException
                      org.apache.poi.hpsf.UnsupportedVariantTypeException
                          org.apache.poi.hpsf.ReadingNotSupportedException

All Implemented Interfaces:
  java.io.Serializable

    public class ReadingNotSupportedException

extends UnsupportedVariantTypeException

This exception is thrown when HPSF tries to read a (yet) unsupported variant type.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  `WritingNotSupportedException`, `UnsupportedVariantTypeException`, Serialized Form

Constructor Summary
`ReadingNotSupportedException(long variantType, java.lang.Object value)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.VariantTypeException
`getValue, getVariantType`

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadingNotSupportedException

    public ReadingNotSupportedException(long variantType,
                                        java.lang.Object value)

  Constructor

  Parameters:
    `variantType` - The unsupported variant type.
    `value` - The value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD